<app-toolbar></app-toolbar>
<form [formGroup]="formGroup" class="flex flex-col w-full h-full overflow-y-auto">
  <div class="flex-1 p-4 space-y-6 overflow-y-auto">
    <app-input-label w="full" [labelText]="'태그 제목'"
      [message]="formGroup.get('name')?.value && formGroup.get('name')?.invalid ? '이미 존재하는 이름입니다.' : ''"
      [color]="formGroup.get('name')?.value &&formGroup.get('name')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="text" formControlName="name" placeholder="제목을 입력해 주세요." />
    </app-input-label>
    <div class="flex flex-wrap gap-2.5 w-full">
      @for (label of labels(); track $index) {
      <app-label>#{{label.name}}</app-label>
      }
    </div>
  </div>
</form> 
<div class="flex items-center px-4 py-3 space-x-2">
  @if(formGroup.invalid){
  <app-button class="px-4 !bg-gray-300 !border-none">{{labelId?'수정':'저장'}}</app-button>
  }@else {
  <app-button class="px-4" (click)="labelId ? updateLabel() : createLabel()">{{labelId?'수정':'저장'}}</app-button>
  }
  @if(labelId){
  <app-button class="px-4 !text-error bg-[#FCE4E4]">삭제</app-button>
  }
</div>